existsROOTFile {xps} | R Documentation

## Test for Existing ROOT File

### Description

Test if a ROOT file does already exist.

### Usage

    existsROOTFile(filename, tmp.rm = TRUE)

### Arguments

`filename` | name of ROOT file, including full path.
`tmp.rm` | logical, if `TRUE` then exlude filenames beginning with dQuote(tmp_).

### Value

Return `TRUE` if file `filename` is an already existing `ROOT` file.

### Note

It is possible to create temporary `ROOT` files called “tmp” or with `filename` starting with “tmp_” which can be overwritten. Thus by default temporary files will not be recognized by `existsROOTFile`. If you want to recognize temporary files, set `tmp.rm = TRUE`.

### Author(s)

Christian Stratowa

### See Also

`isROOTFile`

### Examples

    existsROOTFile(paste(.path.package("xps"),"schemes/SchemeTest3.root",sep="/"))

[Package xps version 1.2.10 Index]